#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{
    int t,n,m,k,i,br1 = 0, br2 = 1,ukupan,pomoz,x,red[11],ukrez;
    pomoz = 1;
    x = 10;
    scanf("%d",&t);
    if(t < 1 || t > 10)
    {
        return 0;
    }
    pomoz = 0;
    for(i = 0; i < t; i++)
    {
        scanf("%d%d%d",&n,&m,&k);
        if(n < 1 || n > pow(x,9)|| m < 1||m > pow(x,17)||k < 1||n < k)
        {
            return 0;
        }
        ukupan = m / n;
        ukrez = ukupan;
        if(k % 3 == 0)
        {
            if(i % 2 == 0)
              ukupan = ukupan + pomoz;
            if(i % 2 != 0)
              ukupan = ukupan - pomoz;
            if(i == 0)
            {
                ukupan = ukrez;
            }
        }
        if(n % k != 0)
        {
            if(ukupan % n == 0)
            {
                red[i] = br1;
            }
        }
        if(n % k == 0)
        {
            if(ukupan % n != 0)
            {
                red[i] = br2;
            }
        }
        if(k % 2 == 0)
        {
            if(i % 2 == 0)
              ukupan = ukupan + pomoz;
            if(i % 2 != 0)
              ukupan = ukupan - pomoz;
        }
        pomoz++;
    }
    for(i = 0; i < t; i++)
    {
        if(red[i] == br1)
        {
            printf("Tak\n");
        }
        if(red[i] > br1)
        {
            printf("Nic\n");
        }
    }
    return 0;
}